<!-- 运动基础-->
<!DOCTYPE html>
<html>
<head>
	<title></title>
	<style type="text/css" media="screen">
		#div1{
			position:absolute;
			left:0;
			width:200px;
			height:200px;
			background-color: red;
		}
	</style>
	<script  type="text/javascript">
		window.onload=function(){
			var inpu=document.getElementById("inp");
			var oDiv=document.getElementById("div1");
			//设置一个定时器为空
			var timer=null;
			//设置一个速度
			var speed=10;
			var moveLength=300;
			inpu.onclick=function(){
				clearInterval(timer);
				//开启定时器
				timer=setInterval(function(){
					if(oDiv.offsetLeft>=moveLength){
						//关闭定时器
						clearTimeout(timer);
					}else{
						oDiv.style.left=oDiv.offsetLeft+speed+'px';
					}				
				}, 30);
			};
		};

	</script>
</head>
<body>
	<input type="button" name="" value="开始运动" id="inp" />
	<div id="div1"></div>
</body>
</html>